Home | All Classes | Grouped Classes | Index | Search

# Class CL_NetObject_Client

Network replication object, client version. More...

Derived from: none
Derived by: none
Group: Network (NetObjects)

#include <ClanLib/network.h>

Construction:

CL_NetObject_Client | NetObject client constructor.

Attributes:

get_obj_id | Returns the netobject handle that identifies it over the network.
get_server | Returns the netcomputer handle to the server of this object.

Operations:

send | Send a message to the server object.

Signals:

sig_received_message | Signal emitted when receiving messages of the specified type from the server.

Detailed description:

!group=Network/NetObjects! !header=network.h!

The netobject is a message dispatcher for objects being replicated over the network.

It provides an easy system for a server object to send messages to replicated clients on remote computers, as well as getting answers back.

Questions or comments, write to the ClanLib mailing list.